diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 1533cff..d37549c 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -5128,7 +5128,7 @@
 
   <para>
    The catalog <structname>pg_shseclabel</structname> stores security
-   lables on shared database objects.  Security labels can be manipulated
+   labels on shared database objects.  Security labels can be manipulated
    with the <xref linkend="sql-security-label"> command.  For an easier
    way to view security labels, see <xref linkend="view-pg-seclabels">.
   </para>
diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 91dc35d..b82d7e7 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -856,7 +856,7 @@ ALTER SEQUENCE <replaceable class="parameter">tablename</replaceable>_<replaceab
      column.  <type>bigserial</type> should be used if you anticipate
      the use of more than 2<superscript>31</> identifiers over the
      lifetime of the table. The type names <type>smallserial</type> and
-     <type>serial2</type> also work the same way, execpt that they
+     <type>serial2</type> also work the same way, except that they
      create a <type>smallint</type> column.
     </para>
 
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index ae22ee5..94ef2f0 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -9619,7 +9619,7 @@ table2-mapping
   </indexterm>
 
   <para>
-    This section descripbes the functions that are available for creating
+    This section describes the functions that are available for creating
     JSON (see <xref linkend="datatype-json">) data.
   </para>
 
diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index 36f9b58..730521a 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -435,8 +435,8 @@ UPDATE t1 SET x = 2, y = md5sum(y) WHERE z = 100;
     On <xref linkend="sql-createdatabase">, <literal>getattr</> permission
     will be checked on the source or template database of the new database,
     not only <literal>create</> on the new database.
-    On creation of objects within a particula schema (tables, views,
-    sequences and procedures), <literal>add_name</> will be also chechked
+    On creation of objects within a particular schema (tables, views,
+    sequences and procedures), <literal>add_name</> will be also checked
     on the schema, not only <literal>create</> on the new object itself.
    </para>
 
@@ -527,7 +527,7 @@ postgres=# SELECT cid, cname, show_credit(cid) FROM customer;
     to switch the security label of the client process, the client domain,
     to a new context, if that is allowed by the security policy.
     The client domain needs the <literal>setcurrent</> permission and also
-    <literal>dyntransaction</> from the old to the new domain.
+    <literal>dyntransition</> from the old to the new domain.
    </para>
    <para>
     Dynamic domain transitions should be considered carefully, because they
@@ -632,7 +632,7 @@ ERROR:  SELinux: security policy violation
      <row>
       <entry><literal>sepgsql_restorecon(text) returns bool</literal></entry>
       <entry>
-       Sets up initial security labels for all objectes within the
+       Sets up initial security labels for all objects within the
        current database. The argument may be NULL, or the name of a specfile
        to be used as alternative of the system default.
       </entry>
diff --git a/doc/src/sgml/tcn.sgml b/doc/src/sgml/tcn.sgml
index 53c4637..f662d09 100644
--- a/doc/src/sgml/tcn.sgml
+++ b/doc/src/sgml/tcn.sgml
@@ -30,7 +30,7 @@
   for primary key columns.  Each part is separated from the next by a comma.
   For ease of parsing using regular expressions, table and column names are
   always wrapped in double quotes, and data values are always wrapped in
-  single quotes.  Embeded quotes are doubled.
+  single quotes.  Embedded quotes are doubled.
  </para>
 
  <para>